人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

さくらVPSのCentOSにphpMyAdminをインストールし、ブラウザからアクセスしたところ、
「mysql 拡張をロードできません。PHP の設定を確認してください」と表示されます。
ネットで調べて、config.inc.phpファイルの見直しなどをしましたが、解決しません。
解決策がわかる方がいらっしゃいましたら、教えて下さい。
twitterアカウントは下記の通りですので、もしよろしければ、こちらにもご連絡下さい。

・CentOS 5.5
・PHP 5.1.6
・Apache 2.2.3
・MySQL 5.0.77

--twitterID:kazu_at_jp--

●質問者: kazu_at_jp
●カテゴリ:コンピュータ ウェブ制作
✍キーワード:Apache CentOS config MySQL PHP
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● よたか
●250ポイント

phpMyadminは、バージョンによっては、PHP5.2以上が必要です。

わたしも同じところでハマりました。

http://blog.hanamarl.com/b1c2i2953.html

phpMyAdmin以外にも設定について書いたますので、よかったら参考にしてください。

◎質問者からの返答

回答、ありがとうございます。

phpMyadminは、PHP5.1に対応したバージョンをインストールしています。


2 ● rouge_2008
●250ポイント

MySQLデータベースを使用するためのPHPアプリケーション用モジュール「php-mysql」はインストールされていますか?

以下を実行して確認し、インストールされていなければインストールして、Apache(httpd)を再起動してください。


yum list installed php*


・インストールされていなかった場合は、以下を実行します。

yum install php-mysql

※パッケージマネージャーからもインストール可能です。


http://yokensaka.com/centos/index.php?catid=16

◎質問者からの返答

ありがとうございます。

下記の通り、ビルド時に拡張モジュールの指定が必要なようです。

yumでインストールをしましたが、下記を参考にソースからビルドして

インストールしてみます。

http://php.net/manual/ja/mysqli.installation.php

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ